/*$$$  SUBPROGRAM DOCUMENTATION BLOCK
C
C SUBPROGRAM:    DLLOCTBF
C   PRGMMR: ATOR             ORG: NCEP       DATE: 2017-11-03
C
C ABSTRACT:  THIS ROUTINE FREES THE SPACE THAT WAS PREVIOUSLY ALLOCATED
C   BY SUBPROGRAM INITTBF FOR STORING CODE/FLAG TABLE INFORMATION INTO
C   AN INTERNAL MEMORY STRUCTURE.  THE STRUCTURE POINTER IS THEN RESET,
C   WHICH ALLOWS FOR A POTENTIAL RE-ALLOCATION OF MEMORY IN THE FUTURE.
C
C PROGRAM HISTORY LOG:
C 2017-11-03  J. ATOR    -- ORIGINAL AUTHOR
C
C USAGE:    CALL DLLOCTBF
C
C REMARKS:
C    THIS ROUTINE CALLS:        None
C    THIS ROUTINE IS CALLED BY: EXITBUFR
C                               Normally not called by any application
C                               programs.
C
C ATTRIBUTES:
C   LANGUAGE: C
C   MACHINE:  PORTABLE TO ALL PLATFORMS
C
C$$$*/

#include "bufrlib.h"
#include "cfe.h"

void dlloctbf( void )
{
    free ( cfe );

    cfe = NULL;
}
